#
#-----------------------------------------------------------------------------
#
#
# 
#              Copyright 2002 Visible Systems Corporation
#                             All Rights Reserved
#
#
# This script, and all others related to the Razor tool suite, are the
# property of Visible Systems Corporation and may be copied/modified to 
# meet your site specific needs.
#
#
# Use of this product implies acceptance of the following:
# 
# THE PRODUCTS SUPPLIED HEREUNDER ARE FURNISHED "AS IS".  VISIBLE SYSTEMS 
# CORPORATION DISCLAIMS WITHOUT LIMITATION ALL IMPLIED WARRANTIES OF FITNESS.  
# IN NO EVENT WILL VISIBLE SYSTEMS CORPORATION BE LIABLE FOR DAMAGES TO 
# PROPERTY OR ANY DAMAGES RESULTING FROM LOSS OF DATA, PROFITS OR USE OF 
# PRODUCTS, OR FOR ANY INCIDENTAL OR CONSEQUENTIAL DAMAGES, EVEN IF ADVISED 
# OF THE POSSIBILITY OF SUCH DAMAGE.  THIS LIMITATION OF VISIBLE SYSTEMS 
# CORPORATION LIABILITY WILL APPLY REGARDLESS OF THE FORM OF ACTION, WHETHER 
# IN CONTRACT OR TORT INCLUDING NEGLIGENCE.  THE RECIPIENT AGREES TO HOLD 
# VISIBLE SYSTEMS CORPORATION HARMLESS AGAINST ANY CLAIMS INCLUDING COURT 
# COSTS AND LEGAL EXPENSES RELATING TO THE PRODUCTS FURNISHED BY VISIBLE 
# SYSTEMS CORPORATION.
# 
#-----------------------------------------------------------------------------
#
# Notes...
#
#
# local_version = @(#) 1.12 00/02/29 18:25:40 rz_issue_print.awk
#
#
##############################################################################

BEGIN {
	attr_file = ARGV[2];
	ARGV[2] = "";

	prob_file = ARGV[3];
	ARGV[3] = "";
	
	sol_file = ARGV[4];
	ARGV[4] = "";
	
	LINES_PER_PAGE = ARGV[5];
	ARGV[5] = "";

	if ( ARGV[6] != "" ) {
		prob_label = ARGV[6];
		ARGV[6] = "";
 	}
	else  {
		prob_label = "STATEMENT OF PROBLEM";
	}
	
	if ( ARGV[7] != "" ) {
		sol_label = ARGV[7];
		ARGV[7] = "";
 	}
	else  {
		sol_label = "STATEMENT OF SOLUTION";
	}

	lines = LINES_PER_PAGE;
	
	first = 1;
	current_file = attr_file;
	}


/^Issue:/ {
	if (first)
		{
		current_issue = $2;
		next;
		}
	}

/^Version:/ {
	if (first)
		{
		first = 0;
		current_version = $2;

		#
		# Force printing of current_issue and current_version
		#
		lines = LINES_PER_PAGE;	
		
		
		new_header();
		next;
		}
	}
	
$1 ~ prob_label {
	if ($3 != prob_label) next;
	else
		current_file = prob_file;
		
	lines = LINES_PER_PAGE;
	new_header();
	print >> current_file;
	next;
	}


$1 ~ sol_label {
	if ($3 != sol_label) next;
	else
		current_file = sol_file;
		
	lines = LINES_PER_PAGE;
	new_header();
	print >> current_file;
	next;
	}


	{
	print >> current_file;
	line_cnt++;
	
	}
	
############################################################################	

function new_header()
   {
	if (++lines < LINES_PER_PAGE) 
		return;
	

	printf("\n") >> current_file;
      
        printf("Issue:\t\t%s\n", current_issue) >> current_file;
        printf("Version:\t%s\n", current_version) >> current_file;
       	lines=0;

   }	

############################################################################	


END {
	}
